package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.enums.GroupType;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**
 * @Author Joburgess
 * @Date 2019/9/19
 */
public class WebCourseHomeworkListDto {

    @ApiModelProperty(value = "作业编号",required = false)
    private Long id;

    @ApiModelProperty(value = "课程时间",required = false)
    private String classDate;

    @ApiModelProperty(value = "课程开始时间",required = false)
    private String classStartDate;

    @ApiModelProperty(value = "课程结束时间",required = false)
    private String classEndDate;

    @ApiModelProperty(value = "课程编号",required = false)
    private Long courseScheduleId;

    @ApiModelProperty(value = "课程名称",required = false)
    private String courseScheduleName;

    @ApiModelProperty(value = "分部编号",required = false)
    private Integer organId;

    @ApiModelProperty(value = "分部名称",required = false)
    private String organName;

    @ApiModelProperty(value = "课程组编号",required = false)
    private String groupId;

    @ApiModelProperty(value = "课程组名称",required = false)
    private String groupName;

    @ApiModelProperty(value = "课程组类型",required = false)
    private GroupType groupType;

    @ApiModelProperty(value = "布置时间",required = false)
    private Date createTime;

    @ApiModelProperty(value = "布置老师",required = false)
    private Integer actualTeacherId;

    @ApiModelProperty(value = "布置老师名称",required = false)
    private String actualTeacherName;

    @ApiModelProperty(value = "作业完成人数",required = false)
    private Integer completedNum = 0;

    @ApiModelProperty(value = "预计完成人数",required = false)
    private Integer expectNum;

    @ApiModelProperty(value = "已回复数",required = false)
    private Integer repliedNum = 0;

    public String getClassDate() {
        return classDate;
    }

    public void setClassDate(String classDate) {
        this.classDate = classDate;
    }

    public String getClassStartDate() {
        return classStartDate;
    }

    public void setClassStartDate(String classStartDate) {
        this.classStartDate = classStartDate;
    }

    public String getClassEndDate() {
        return classEndDate;
    }

    public void setClassEndDate(String classEndDate) {
        this.classEndDate = classEndDate;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getCourseScheduleId() {
        return courseScheduleId;
    }

    public void setCourseScheduleId(Long courseScheduleId) {
        this.courseScheduleId = courseScheduleId;
    }

    public String getCourseScheduleName() {
        return courseScheduleName;
    }

    public void setCourseScheduleName(String courseScheduleName) {
        this.courseScheduleName = courseScheduleName;
    }

    public Integer getOrganId() {
        return organId;
    }

    public void setOrganId(Integer organId) {
        this.organId = organId;
    }

    public String getOrganName() {
        return organName;
    }

    public void setOrganName(String organName) {
        this.organName = organName;
    }

    public String getGroupId() {
        return groupId;
    }

    public void setGroupId(String groupId) {
        this.groupId = groupId;
    }

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    public GroupType getGroupType() {
        return groupType;
    }

    public void setGroupType(GroupType groupType) {
        this.groupType = groupType;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getActualTeacherId() {
        return actualTeacherId;
    }

    public void setActualTeacherId(Integer actualTeacherId) {
        this.actualTeacherId = actualTeacherId;
    }

    public String getActualTeacherName() {
        return actualTeacherName;
    }

    public void setActualTeacherName(String actualTeacherName) {
        this.actualTeacherName = actualTeacherName;
    }

    public Integer getCompletedNum() {
        return completedNum;
    }

    public void setCompletedNum(Integer completedNum) {
        this.completedNum = completedNum;
    }

    public Integer getExpectNum() {
        return expectNum;
    }

    public void setExpectNum(Integer expectNum) {
        this.expectNum = expectNum;
    }

    public Integer getRepliedNum() {
        return repliedNum;
    }

    public void setRepliedNum(Integer repliedNum) {
        this.repliedNum = repliedNum;
    }
}
